<!DOCTYPE html>
<html>
<head>
<title>GameOX</title>    

    
<style>
    .btClick{
        width: 50px;
        height: 50px;
        float: left;
        outline: none;
    }
    #plansza{
        margin-top: 50px;
        width: 150px;
        height: 150px;
    }
    #top{
        margin-bottom: 10px;
    }
    #playUS{
        margin-top: 10px;
    }
    #move{
        margin-top: 10px;
    }

</style>    
    
</head>
    
<body>


    <center>
        
            <div id="top">Wybor gracza : </div>

            <div id="playUS"></div>
            
            <div id="move"></div>
            
            <div id="plansza"></div>
            
    </center>


<script>
    
        // tabela - ox ; ID, players, thisPlayer, fields
        var players;
        var thisPlayer = "";
        var sendData = {players:null,thisPlayer:null,fields:["empty","empty","empty","empty","empty","empty","empty","empty","empty"],accPlayer: null};
        var player = null;
        var tmpField;
        var checkInter;

        function reqOX(){
            send(2);
            //console.log("Interval - " + player);
        }
        function checkField(){
            checkInter = setInterval(function(){ reqOX() }, 100);
        }
        function stopCheck(){
            clearInterval(checkInter);
        }
        
        function clear(){
                var tabRem = ["top", "X", "O"];
                for(var i=0; i<tabRem.length; i++){
                    document.getElementById(tabRem[i]).style.display = "none";
                }
            
        }
    
        function make(){

            for(var i= 0 ; i < 9 ; i++){
                var bt = document.createElement("button");
                bt.setAttribute("class", "btClick");
                bt.setAttribute("type", "submit");
                bt.setAttribute("id", i);
                bt.setAttribute("value", null);
                bt.disabled = true;
                bt.addEventListener("click", function(){
                    var thisField = document.getElementById(this.id);
        
                    if(thisField.value != null && thisField.className != "btClick checked"){
                            thisField.classList.add("checked");
                            thisField.innerHTML = tmpField;
                            thisField.value = tmpField;
                            
                            sendData.fields[this.id] = thisField.value;
                            send(1, encodeURIComponent(JSON.stringify(sendData)));
                            
                    }
                    
                    
                });

                document.getElementById("plansza").appendChild(bt);
            }
  
        }
    
        function send(f, data){
            var xhttp = new XMLHttpRequest();
            xhttp.open("POST", "ajaxox.php", true);

            xhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    var res = JSON.parse(this.responseText);
                    //console.log("Res servera : ");
                    //console.log(res);

                    if(res[0].fields != ""){
                        var newTab;
                        newTab = res[0].fields.split(", ");
                        sendData.fields = newTab;
                    }
                    
                    // update plansza
                    var str = res[0].fields;
                    var resTab = str.split(", ");
                    
                    for(var i=0;i<resTab.length; i++){
                        if(resTab[i] != "empty")
                        {
                            document.getElementById(i).innerHTML = resTab[i];
                            document.getElementById(i).value = resTab[i];
                        }
                    }
                    
                    // acc player
                    if(f == 0){
                        
                        var strPlayers = res[0].players;
                        var resPlayers = strPlayers.split(", ");
                        for(var i=0;i<resPlayers.length; i++){
                            var bt = document.createElement("button");
                            bt.style.marginLeft = "10px";
                            bt.setAttribute("type", "submit");
                            bt.setAttribute("value", resPlayers[i]);
                            bt.id = resPlayers[i];
                            bt.innerHTML = resPlayers[i];
                            bt.addEventListener("click", function(){
                                sendData.players = null;
                                document.getElementById("playUS").innerHTML = "Grasz jako : " + this.value;
                                document.getElementById("top").innerHTML ="";
                                
                                sendData.thisPlayer = this.value;
                                sendData.players = this.value;
                                //sendData.accPlayer = this.value;

                                send(3, encodeURIComponent(JSON.stringify(sendData)));
                                player = this.value;
                                tmpField = player;
                                
                                for(var i=0;i<resTab.length; i++){
                                    document.getElementById(i).disabled = false;
                                }
                            });

                            document.getElementById("top").appendChild(bt);
                        }

                    }else if(f == 2){
                        
                        

                        var strPlayers = res[0].players;
                        var resPlayers = strPlayers.split(", ");

                        var accPlay = res[0].thisPlayer;
                       
                        
                        if(res[0].accPlayer != ""){
                            if(res[0].accPlayer != player){
                                for(var i=0;i<resTab.length; i++){
                                        document.getElementById(i).disabled = true;
                                    }
                                    document.getElementById("move").innerHTML = "Ruch przeciwnika";
                            }
                            if(res[0].accPlayer == player && res[0].accPlayer != resPlayers[1]){
                                    document.getElementById("move").innerHTML = "Twoj ruch";
                                    for(var i=0;i<resTab.length; i++){
                                        if(resTab[i] != "empty"){
                                            document.getElementById(i).disabled = true;
                                        }else{
                                            document.getElementById(i).disabled = false;
                                        }    
                                    }
                            }

                        }
                        
                        if((resPlayers[0] == "set") && (player != accPlay)){
                            /*
                            console.log("1 - " + player);
                            console.log("2 - " + resPlayers[1]);
                            console.log("3 - " + res[0].accPlayer);
                            */
                            document.getElementById("top").innerHTML ="";
                            document.getElementById("playUS").innerHTML = "Grasz jako : " + resPlayers[1];
                            tmpField = resPlayers[1];
                            if(res[0].accPlayer != resPlayers[1]){
                                    for(var i=0;i<resTab.length; i++){
                                        document.getElementById(i).disabled = true;
                                    }
                                    document.getElementById("move").innerHTML = "Ruch przeciwnika";
                            }
                            if(res[0].accPlayer != player && res[0].accPlayer == resPlayers[1]){
                                document.getElementById("move").innerHTML = "Twoj ruch";
                                    for(var i=0;i<resTab.length; i++){
                                        if(resTab[i] != "empty"){
                                            document.getElementById(i).disabled = true;
                                        }else{
                                            document.getElementById(i).disabled = false;
                                        }
                                    }
                            }

                        }
                        

                    }
                    
                    
                    if(res[0].win != ""){
                        stopCheck();
                        var strPlayers = res[0].players;
                        var resPlayers = strPlayers.split(", ");

						
                        if(player == res[0].win){
                            document.getElementById("move").innerHTML = "Wygrales";
                        }else if(player != res[0].win){
                            document.getElementById("move").innerHTML = "Przegrales";
                                    for(var i=0;i<resTab.length; i++){
                                            document.getElementById(i).disabled = true;
                                    }
                        }
                        
                        if(player == null && res[0].win == resPlayers[1]){
                            document.getElementById("move").innerHTML = "Wygrales";
                        }else if(player == null && res[0].win != resPlayers[1]){
                            document.getElementById("move").innerHTML = "Przegrales";
                                    for(var i=0;i<resTab.length; i++){
                                            document.getElementById(i).disabled = true;
                                    }
                        }
                        
                        if(res[0].win == "Remis"){
                            document.getElementById("move").innerHTML = "Remis";
                        }

                    }
                    
               }
            };

            xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            xhttp.send("f="+f+"&game="+data);
        }
    
        window.onload=make();send(0);checkField();

</script>
</body>

</html>